# Ticket Status Change

#### Trigger

Status of the ticket is changed. It can happen for example when team member close the ticket. Status will be changed from `pending` to `open`.

#### Example

```json
{
    "CommunityName": "yourCompany",
    "EventType": "ticket_status_change",
    "TicketId": 4478963,
    "Events": [
        {
            "InboxLink": "https://inbox.socialboards.com/yourCompany/tickets?ticketId=4478963",
            "PreviousTicketStatus": "open",
            "Ticket": {
                "Attachments": null,
                "Author": {
                    "CustomIdentifier": null,
                    "Id": "35692164-bfaa-4c49-a23c-ecfa618f7d20",
                    "Name": "Robert Baker",
                    "Image": null,
                    "Email": "robert78baker@gmail.com",
                    "Status": "client",
                    "IsBot": false
                },
                "Category": {
                    "Id": 15721,
                    "Name": "Other cases"
                },
                "CreationTime": "2019-12-17T08:03:48.318717+01:00",
                "DetailedSource": "web_website",
                "Id": 4478963,
                "LastThreadElementCreationTime": "2019-12-17T08:10:03.8181291+01:00",
                "LockedBy": null,
                "Message": "I want to take my cat to a vet",
                "OriginalLink": null,
                "Properties": {
                    "IsAnonymized": false,
                    "IsMuted": false,
                    "HasAttachments": false,
                    "HasDraft": false,
                    "IsAssignedToBot": false,
                    "IsDeleted": false,
                    "IsExpired": false,
                    "IsHidden": false,
                    "IsLocked": false,
                    "IsSpam": false,
                    "IsSensitive": false
                },
                "ReplyCount": 1,
                "IsMuted": false,
                "Sentiment": "question",
                "Source": "web",
                "SourceName": null,
                "Status": "pending",
                "Tags": [],
                "Title": "Cat is ill",
                "HtmlMessage": "I want to take my cat to a vet"
            },
            "TicketId": 4478963,
            "EventTime": "2019-12-17T08:10:03.8181291+01:00"
        }
    ]
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.socialboards.com/docs/apis/tickets/reference/events/ticket-status-change.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
